/* 左侧侧边栏 */
.sidebar-left {
    z-index: 10000;
    position: fixed;
    top: 50%;
    /* 将顶部边缘移动到视口的一半 */
    left: 0;
    transform: translateY(-50%);
    /* 向上移动侧边栏自身高度的50%来实现垂直居中 */
    width: 7vw;
    height: 32vw;
    border-radius: 1vw;
    background: rgba(255, 255, 255, 1);
    box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.1);
    cursor: pointer;
    padding: 2.2vw 0 2.2vw 1vw;
    /* 使用 opacity来隐藏侧边栏 */
    opacity: 0;
    /* 添加过渡效果 */
    transition: opacity 1s ease, left 1s ease;
    /* 确保侧边栏初始时不可见 */
    pointer-events: none;
}

.is-finish {
    font-size: 0.84vw !important;
}

.el-step__title {
    font-size: 0.84vw !important;
}

.el-step__icon-inner {
    display: none !important;
}

.sidebarleft {
    left: 5vw;
    opacity: 1;
    pointer-events: auto;
    /* 确保侧边栏可交互 */
}

/* 右侧侧边栏 */
.sidebar-right {
    position: fixed;
    top: 50%;
    /* 将顶部边缘移动到视口的一半 */
    right: 0;
    transform: translateY(-50%);
    /* 向上移动侧边栏自身高度的50%来实现垂直居中 */
    cursor: pointer;
    /* 使用 opacity来隐藏侧边栏 */
    opacity: 0;
    /* 添加过渡效果 */
    transition: opacity 1s ease, right 1s ease;
    /* 确保侧边栏初始时不可见 */
    /* pointer-events: none; */
    z-index: 10000;
}

.sidebarright {
    right: 5vw;
    opacity: 1;
    pointer-events: auto;
    /* 确保侧边栏可交互 */
}

.sidebar-right .yuan {
    position: relative;
    width: 4.6vw;
    height: 4.6vw;
    margin-bottom: 3.8vw;
}

.sidebar-right .yuan img {
    width: 100%;
    height: 100%;
}

.sidebar-right .yuan .pf {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    pointer-events: none;
    /*鼠标事件就不会被.pf捕获  */
    position: absolute;
    transform: translateX(-100%);
    /* 初始位置 */
    top: -5vw;
    width: 10.86vw;
    height: 13.75vw;
    opacity: 0;
    border-radius: 1.05vw;
    background: rgba(255, 255, 255, 1);
    box-shadow: 0px 0px 1.05vw rgba(0, 0, 0, 0.1);
    transition: transform 1s ease;
    /* 添加过渡效果，持续0.3秒，使用ease函数 */
}

.sidebar-right .yuan:hover .pf {
    opacity: 1;
    transform: translateX(-125%);
    /* 悬停时改变位置 */
}

.sidebar-right .yuan .pf img {
    width: 8.55vw;
    height: 8.55vw;
}

.sidebar-right .yuan .pf p {
    font-size: 1.3vw;
    font-weight: 400;
    color: rgba(31, 62, 89, 1);
    text-align: center;

}